This is the multi-page printable view of this section. Click here to print.

Return to the regular view of this page.

Create Private NAT IP

1 - 1.3

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (CURRENT)

VersionNot Before
1.3-

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.3"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

2 - 1.2

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (SUPPORTED)

VersionNot Before
1.220270131

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.2"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

3 - 1.1

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (SUPPORTED)

VersionNot Before
1.120261130

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.1"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}

4 - 1.0

post /v1/private-nats/{private_nat_id}/private-nat-ips

Description

Create Private NAT IP.

State ACTIVE (DEPRECATED)

Deprecated versions with Not Before dates that have arrived or expired are no longer supported. We recommend using the latest version.

VersionNot Before
1.020251231

Parameters

TypeNameDescriptionSchemaDefault
pathprivate_nat_id
required
Private NAT ID
Example : 12f56e27070248a6a240a497e43fbe18
stringNone
bodybody
required

PrivateNatIpCreateRequest

Responses

HTTP CodeDescriptionSchema
201CreatedPrivateNatIpShowResponse
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/private-nats/{private_nat_id}/private-nat-ips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = vpc 1.0"

Request body

{
    "ip_address": ""
}

Example HTTP response

Response 201

{
    "private_nat_ip": {
        "attached_resource_id": "",
        "attached_resource_name": "",
        "attached_resource_type": "VM",
        "created_at": "2024-05-17T00:23:17Z",
        "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "id": "",
        "ip_address": "",
        "modified_at": "2024-05-17T00:23:17Z",
        "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
        "private_nat_id": "",
        "state": "RESERVED"
    }
}